import { UmbConditionBase } from '../../extension-registry/conditions/condition-base.controller.js';
export class UmbMenuAliasCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        console.error('Condition of alias `Umb.Condition.MenuAlias` is not implemented. Please report this issue if you where expecting this condition to work.');
        /*
        this.consumeContext(UMB_MENU_CONTEXT, (context) => {
            this.observe(
                context.alias,
                (MenuAlias) => {
                    this.permitted = MenuAlias === this.config.match;
                },
                'observeAlias',
            );
        });
        */
    }
}
export const manifest = {
    type: 'condition',
    name: 'Menu Alias Condition',
    alias: 'Umb.Condition.MenuAlias',
    api: UmbMenuAliasCondition,
};
